
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Silverlight开发中的疑难杂症：如何实现一个EditorBox / iVAN</title>

    <meta name="description" content="Silverlight开发中的疑难杂症：如何实现一个EditorBox EditorBox就是一个具有编辑和展示两种状态的TextBox,因为在最近的工作和学习项目中 ,多次碰到了需要将一个TextBox以编辑和展示两种不同的样式存在,于是就想到了制作一个 这样的控件来提高生产效率,同时也尝试一下自定义控件的开发.该控件包括如下功能: l 能在编辑和展示状态之间切换: l 可以设置是否能够编辑: l 在展示状态双击控件,进入到编辑状态(如果支持编辑): l 在编辑状态,输入完文本,回车后进入展示状态: l 提供一个Text属性供外部使用: l 能够设置展示状态下文本">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Silverlight开发中的疑难杂症：如何实现一个EditorBox</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>EditorBox就是一个具有编辑和展示两种状态的TextBox，因为在最近的工作和学习项目中 ，多次碰到了需要将一个TextBox以编辑和展示两种不同的样式存在，于是就想到了制作一个 这样的控件来提高生产效率，同时也尝试一下自定义控件的开发。该控件包括如下功能：</p>
<p>l 能在编辑和展示状态之间切换；</p>
<p>l 可以设置是否能够编辑；</p>
<p>l 在展示状态双击控件，进入到编辑状态（如果支持编辑）；</p>
<p>l 在编辑状态，输入完文本，回车后进入展示状态；</p>
<p>l 提供一个Text属性供外部使用；</p>
<p>l 能够设置展示状态下文本样式（设置指定区间的文本的字体、字体大小、字体颜色等） ；</p>
<p>基本的实现思路是这样的：首先，定义两个TemplatePart，分别为TextBox和TextBlock类 型，用来表示编辑框跟展示框，文本格式的处理通过动态计算所设置的格式，然后添加多个 Run元素来实现；然后，定一个两个TemplateVisualState，用来实现编辑状态和展示状态之 间的切换。附加的Attribute声明如下：</p>
<p>[TemplatePart(Name = "PART_Editor", Type = typeof(TextBox))]</p>
<p>[TemplatePart(Name = "PART_View", Type = typeof(TextBlock))]</p>
<p>[TemplateVisualState(Name = "Edit", GroupName = "CommonStates")]</p>
<p>[TemplateVisualState(Name = "View", GroupName = "CommonStates")]</p>
<p>为了使控件使用者能够对样式进行更好的控制，这里定义了一个TextFormat类，与单个的 样式设置对应，里面包括字体、字体大小、字体颜色、样式应用的起始索引、应用的总长度 ，具体的类实现如下：</p>
<p>TextFormat</p>
<p><code>///　&lt;summary&gt;<br />
///　文本格式<br />
///　&lt;/summary&gt;<br />
public　class　TextFormat　:　DependencyObject<br />
{<br />
　　　　 ///　&lt;summary&gt;<br />
　　　　 ///　字体<br />
　　　　 ///　&lt;/summary&gt;<br />
　　　　 public　FontFamily　FontFamily<br />
　　　　 {<br />
　　　　　　　　 get　{　return　(FontFamily)GetValue(FontFamilyProperty);　} <br />
　　　　　　　　 set　{　SetValue(FontFamilyProperty,　value);　}<br />
　　　　 }<br />
　　　　 public　static　readonly　DependencyProperty　FontFamilyProperty　 =<br />
　　　　　　　　 DependencyProperty.Register("FontFamily",　typeof(FontFamily), 　typeof(TextFormat),　new　PropertyMetadata(default(FontFamily)));<br />
　　　　 ///　&lt;summary&gt;<br />
　　　　 ///　字体大小<br />
　　　　 ///　&lt;/summary&gt;<br />
　　　　 public　double　FontSize<br />
　　　　 {<br />
　　　　　　　　 get　{　return　(double)GetValue(FontSizeProperty);　}<br />
　　　　　　　　 set　{　SetValue(FontSizeProperty,　value);　}<br />
　　　　 }<br />
　　　　 public　static　readonly　DependencyProperty　FontSizeProperty　=<br />
　　　　　　　　 DependencyProperty.Register("FontSize",　typeof(double),　 typeof(TextFormat),　new　PropertyMetadata(10.0));<br />
　　　　 ///　&lt;summary&gt;<br />
　　　　 ///　字体颜色<br />
　　　　 ///　&lt;/summary&gt;<br />
　　　　 public　Brush　Foreground<br />
　　　　 {<br />
　　　　　　　　 get　{　return　(Brush)GetValue(ForegroundProperty);　}<br />
　　　　　　　　 set　{　SetValue(ForegroundProperty,　value);　}<br />
　　　　 }<br />
　　　　 public　static　readonly　DependencyProperty　ForegroundProperty　 =<br />
　　　　　　　　 DependencyProperty.Register("Foreground",　typeof(Brush),　 typeof(TextFormat),　new　PropertyMetadata(new　SolidColorBrush (Colors.Black)));<br />
　　　　 ///　&lt;summary&gt;<br />
　　　　 ///　样式应用的起始索引<br />
　　　　 ///　&lt;/summary&gt;<br />
　　　　 public　int　StartIndex<br />
　　　　 {<br />
　　　　　　　　 get　{　return　(int)GetValue(StartIndexProperty);　}<br />
　　　　　　　　 set　{　SetValue(StartIndexProperty,　value);　}<br />
　　　　 }<br />
　　　　 public　static　readonly　DependencyProperty　StartIndexProperty　 =<br />
　　　　　　　　 DependencyProperty.Register("StartIndex",　typeof(int),　 typeof(TextFormat),　new　PropertyMetadata(0));<br />
　　　　 ///　&lt;summary&gt;<br />
　　　　 ///　样式应用的长度<br />
　　　　 ///　&lt;/summary&gt;<br />
　　　　 public　int　Length<br />
　　　　 {<br />
　　　　　　　　 get　{　return　(int)GetValue(LengthProperty);　}<br />
　　　　　　　　 set　{　SetValue(LengthProperty,　value);　}<br />
　　　　 }<br />
　　　　 public　static　readonly　DependencyProperty　LengthProperty　=<br />
　　　　　　　　 DependencyProperty.Register("Length",　typeof(int),　typeof (TextFormat),　new　PropertyMetadata(0));<br />
}<br />
///　&lt;summary&gt;<br />
///　文本格式集合<br />
///　&lt;/summary&gt;<br />
public　class　TextFormatCollection　:　 ObservableCollection&lt;TextFormat&gt;<br />
{<br />
}</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 01:57:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%8a%b6%e6%80%81/" title="状态">状态</a>, <a href="https://www.iamivan.net/tag/public/" title="public">public</a>, <a href="https://www.iamivan.net/tag/%e5%ad%97%e4%bd%93/" title="字体">字体</a>, <a href="https://www.iamivan.net/tag/%e6%a0%b7%e5%bc%8f/" title="样式">样式</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/typeof/" title="typeof">typeof</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Silverlight开发中的疑难杂症：如何实现一个EditorBox的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ballrPz.html" rel="bookmark">Silverlight开发中的疑难杂症-如何自动合并控件的默认样式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在WPF中开发自定义控件时,可以将控件的默认样式放在以&quot;&lt;控件类型 &gt;.Generic.xaml&quot;的形式命名的资源文件中,从而分离各个自定义控件的默认样式的定义 ,减少单个Generic.xaml文件的复杂度. 但是在Silverlight控件开发时,却发现无法采用上面的方法来实现这一效果,尝试了许 久都没有找到其他的办法实现这一效果.郁闷之中,突然想起看一下Silverlight Toolkit中 是如何解决这一问题的,结果惊讶的发现它也是将所有的默认样式都堆积在了Gen			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwVLlM.html" rel="bookmark">在单片机开发中，我遇到了一个很奇怪的关于外部中断的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在单片机开发中,我遇到了一个很奇怪的关于外部中断的问题 void button_int0 () interrupt 0 { //当函数正确时,需改正delay(大数目)为delay_stop(大数目); uchar timp; uint i=0; /**** IE=0x80时,程序执行完了,但是没有办法退出中断, 当使用EA=0时,就可以退出中断了.很肯定的是,并没有重复进入中断. *****/ //IE=0x80; EX0=0; EA=0; light =1: timp=P1; ex			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnRXVjp.html" rel="bookmark">c&plus;&plus;-win8 store app开发中如何通过点击一个Button从而显示一张图片</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 win8 store app开发中如何通过点击一个Button从而显示一张图片 开发语言是c++ 结合XAML写UI 原来设想是通过click改变Image的Visiblity属性的值,但发现行不通. 求助			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMNggPp.html" rel="bookmark">Silverlight开发中如何为Silverlight添加双击事件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在日常的开发中鼠标的事件是我们使用的最多的事件,但是在Silverlight中,只支持以下六种有限的鼠标事件:MouseEnter. MouseLeave.MouseLeftButtonDown.MouseLeftButtonUp.MouseMove.MouseWheel.这给我们的开发造成了不小的麻烦,还好 Silverlight支持强大的附加属性机制,这里就指导大家如何通过附加属性来给Silverlight添加鼠标的双击事件. 附加属性是Silverlight也是WPF中最具创新也是最强大的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ2mDOz.html" rel="bookmark">iOS开发中使用Picker View实现一个点菜应用的UI示例&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.实现效果 说明:点击随机按钮,能够自动选取,下方数据自动刷新. 二.实现思路 1.picker view的有默认高度为162,不可修改. 2.显示数据,需要设置数据源,也有两种方式(成为数据源,遵守协议) 3.实现数据源里面的两个方法 1)返回一共有多少列 2)在这一列中一共有多少行 4.通过代理告诉它那一列的哪一行显示哪些数据(设置其代理为控制器) 5.使用懒加载,加载所有的食物 6.完成基本数据的展示(列,行,内容) 7.自动更新选中的食物信息.(使用一个大的view,上面放6个labe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOQPDb.html" rel="bookmark">关于web开发中使用tomcat，启动一个线程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 主要是在一个web程序中,需要启动一个线程,在线程中启动socket通信,接受一些命令和数据.我已经用servlet实现了,自己写个servlet,然后在web.xml中配置,&lt;servlet&gt; &lt;servlet-name&gt;MInaServerStartUpServlet&lt;/servlet-name&gt; &lt;servlet-class&gt;com.traffic.servlet.MinaServletListener&lt;/servlet-class&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7kdoz.html" rel="bookmark">ArcGIS API for Silverlight开发入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你用上3G手机了吗?你可能会说,我就是喜欢用nokia1100,ABCDEFG跟我 都没关系.但你不能否认3G是一种趋势,最终我们每个人都会被包裹在3G网络中.1100也不是一成不变,没准哪天为了打击犯罪,会在你的1100上强制 装上GPS.GIS工作既然建立在计算机的基础上,当然也得随着IT行业与时俱进.       看看现在计算机应用的趋势吧.云(计算),这个东西可讲不清楚,因为云嘛,飘忽不定的.不过可以这样来看它,以后计算机网络上就有一坨(或者几坨)万能的 云,有什么需求云都可以满足我们,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdW9DXM.html" rel="bookmark">基于Cairngorm的Silverlight开发 - part1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于Cairngorm的Silverlight开发 - part1 概述 简单的说Cairngorm是在Silverlight开发中的一个轻量级的MVC开发框架. 和flash.flex开发中的Cairngorm框架一样,Cairngorm是能将程序代码按照逻辑功能(数据.视图.控制)分块的一种开发模型,这个模型被称为MVC(Model模型.View视图.Control控制)模型. 获取 请访问项目网站 的下载页面 . Cairngorm的各个部分 ModelLocator模型:一个储存程序中所			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn02lOb.html" rel="bookmark">基于Cairngorm的Silverlight开发系列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  最近做了几个silverlight的项目都用到了MVC的开发架构,在silverlight中,MVC.MVVM等架构都很多.各个第三方的公司在推出自己的架构的同时也专门会发布一个for silverlight的版本(如CSLA .NET 3.6支持Silverlight 2 ).  我在做项目时选用了Cairngorm这个MVC框架,因为之前我做flex开发时就用的是他,silverlight中对这个框架进行了移植,用法.思路都是一致的,这里总结了一下自己的开发经验共享出来.   两个用Ca			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaKVJp.html" rel="bookmark" class="title">百度信誉用户的福音草根的定时炸弹</a>
					<div>
						百度信誉强势上线已经有一个星期了,为此许多站长都在谈论百度信誉的事情,所谓是大街小巷(大站小站)都为之转悠啊!可想而知大家都很在乎百度推出的信誉问题,笔者SEO空城认为所谓的&quot;百度信誉&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7AWZM.html" rel="bookmark" class="title">ASP中限制IP函数详解</a>
					<div>
						函数|详解 '******************************'Function CheckIp(cInput_Ip,cBound_Ip)'Created by qqdao, qqdao@ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO5NqM.html" rel="bookmark" class="title">VBScript基础教程之十一VBScript与窗体</a>
					<div>
						vbscript|基础教程 简单验证 使用 Visual Basic Scripting Edition,您可以完成通常要在服务器上进行的大量窗体处理工作,也可以完成不能在服务器上进行的工作. 这是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWkVmM.html" rel="bookmark" class="title">SEO新手每天需做哪些工作</a>
					<div>
						SEO新手每天都会很迷茫不知道应该做哪些工作,不知道如何合理的安排时间,不仅浪费时间工作效率也不高,所以每位站长需要先对每天的工作做个合理的计划安排,然后根据一天的工作时间合理的调整与安排,做一个称职 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMylA4b.html" rel="bookmark" class="title">看实例学VFP：示例数据库</a>
					<div>
						本文将给出示例数据库中各个数据表的表结构及初始数据,在以后的实例中涉及到操作数据表的,都会使用这个数据库中的某个表.关于数据库.表的创建及使用知识,请参阅:vfp基础教程 中第2章&quot;数据库. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNE7XPb.html" rel="bookmark" class="title">解决方案 最新无线技术实现智能化酒店</a>
					<div>
						酒店实现智能化包括三大部份:内部网络.外部接入方式.多业务综合网管计费平台. 酒店内部网络包括酒店原有的办公局域网.电话系统.客房的接入.会议中心的信息化覆盖.商务中心的接入.基于IP的监控系统以及一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Kmwb.html" rel="bookmark" class="title">Windows 8&period;1的书签功能：Reading List</a>
					<div>
						书签功能是用户常向微软提起的关于网页浏览体验的一项功能,微软将Windows 8.1的Reading List新特性作为对此要求的回应.用户可以收藏在网上找到的所有感兴趣的事物,或是其他任何想下次再使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd78WxM.html" rel="bookmark" class="title">Centos 5&period;6下安装Nagios监控平台</a>
					<div>
						最近需要对公司内的所有服务器进行监控,当然现在有很多软件可以进行这个功能的实现,比如说微软的SCOM,还有就是今天的Nagios软件了,但是前者还好说Windows 平台下的产品,还是比较好配置和安装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P4DJM.html" rel="bookmark" class="title">压缩WPS演示中图片的方法</a>
					<div>
						  压缩WPS演示中图片的方法 1.打开WPS演示,新建一空白幻灯片,插入图片. 2.插入完之后,选中图片,执行剪切命令.然后点击菜单栏--编辑--选择性粘贴. 3.在选择性粘贴界面,我们选择JPG格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywEg8z.html" rel="bookmark" class="title">办公自动化软件哪个好</a>
					<div>
						  1.Microsoft Office 微软出品的Office软件绝对是办公自动化软件中的佼佼者,PC版一直是收费的商业软件,但移动版已经完全免费.Office的使用体验和兼容性绝对是其他办公软件所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRGqep.html" rel="bookmark" class="title">华硕如何找到产品序列号</a>
					<div>
						  产品图示如下: 显卡 请在显卡背面的贴纸上查询序列号. 例如:9CC0AC186027即代表显卡序列号. 请在显卡包装盒上查询序列号. 例如:Serial No:A4CVCM073128即代表显卡 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG9qBb.html" rel="bookmark" class="title">死锁监控四步走，从此性能不再愁！</a>
					<div>
						作者介绍 许昌永,高级DBA,微软SQL Server MVP,十年以上SQL Server使用经验.曾就职于腾讯公司,从事了六年游戏行业SQL Server数据库开发和管理.目前就职于跨境电商DX. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn76Nrz.html" rel="bookmark" class="title">【Go语言】【2】Sublime配置GO开发环境</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://qingkechina.blog.51cto.com/5552198/161416 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA79A2z.html" rel="bookmark" class="title">Windows操作系统堆和栈的区别</a>
					<div>
						Windows操作系统堆和栈的区别 一.预备知识-程序的内存分配    一个由c/C++编译的程序占用的内存分为以下几个部分    1.栈区(stack)- 由编译器自动分配释放 ,存放函数的参数值, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjEx9p.html" rel="bookmark" class="title">mongodb-spring data mongo使用&commat;DBRef，怎么执行一个类似sql中的join操作</a>
					<div>
						问题描述 spring data mongo使用@DBRef,怎么执行一个类似sql中的join操作 解决方案 假设我要获取title,name两个字段,我该如何操作?翻了很多资料没好方法,, 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdR6x3b.html" rel="bookmark" class="title">微信 主动发送信息-c&num;微信公众号开发，个人的服务器主动发图文信息</a>
					<div>
						问题描述 c#微信公众号开发,个人的服务器主动发图文信息 调用高级接口,主动发图文信息.里面做好用到素材接口.个人服务器主动送送请求,腾讯服务器接受请求,并向手机微信客户端发送信息. 解决方案 今天看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RRAZb.html" rel="bookmark" class="title">《Unreal Engine 4蓝图可视化编程》一2&period;3　添加音效和粒子效果</a>
					<div>
						2.3 添加音效和粒子效果 既然我们已经拥有了更好的玩家移动和射击属性,将我们关注的点转向敌方目标.现在的效果是射击目标圆柱体后圆柱体会变成红色.然而,目前没有任何可以被玩家完全摧毁的目标. 我们可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKRP2z.html" rel="bookmark" class="title">TCP&sol;IP之三次握手、四次挥手</a>
					<div>
						参照:http://www.cnblogs.com/hnrainll/archive/2011/10/14/2212415.html 在TCP/IP协议中,TCP协议提供可靠的连接服务,采用三次握手建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXoYOz.html" rel="bookmark" class="title">《精通Android 实例开发》&mdash;&mdash;第1章，第1&period;13节搭建过程中的常见错误</a>
					<div>
						1.13 搭建过程中的常见错误 1.13.1 实例说明 无论安装或搭建任何一个开发环境,都会不可避免地遇到一些意想不到的问题,这些问题可能是我们粗心造成的,也可能是使用系统环境的差异造成的.在下面的实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXN8Oz.html" rel="bookmark" class="title">解析Android获取系统cpu信息&comma;内存&comma;版本&comma;电量等信息的方法详解&lowbar;Android</a>
					<div>
						Android获取系统cpu信息,内存,版本,电量等信息 1.CPU频率,CPU信息:/proc/cpuinfo和/proc/stat 通过读取文件/proc/cpuinfo系统CPU的类型等多种信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Rlo3b.html" rel="bookmark" class="title">toast-android中Toast出文字同时整个activity变暗成半透明状态，如何实现</a>
					<div>
						问题描述 android中Toast出文字同时整个activity变暗成半透明状态,如何实现 在activity的底部有一个收藏按钮,要实现的效果是:点击该按钮,activity变为半透明 状态,且t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWljVXp.html" rel="bookmark" class="title">有哪位大神提供一个springmvc&plus;mybatis的整合事例！</a>
					<div>
						问题描述 有哪位大神提供一个springmvc+mybatis的整合事例! 如题,有哪位有springMVC+mybatis的整合事例吗,本人现在真在学习mybatis,希望有一个整合事例看看,有的话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eJrJb.html" rel="bookmark" class="title">指针-c&plus;&plus;向量括号里是数组是什么意思</a>
					<div>
						问题描述 c++向量括号里是数组是什么意思 这个是书本上的一段,有点看不懂,定义的向量的括号里是两个指针吗,代表什么意思呢 解决方案 你可以去查看MSDN的官网API Create a vector  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xBdab.html" rel="bookmark" class="title">NASA打造新一代宇航服     使用3D打印和激光技术</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;       [科技讯]9月15日消息,据媒体报道,美国宇航 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5a5kz.html" rel="bookmark" class="title">传Sammobile日前曝光三星新系统Tizen原型机的视频</a>
					<div>
						硅谷万讯 随着市场继续对三星电子开发的新款http://www.aliyun.com/zixun/aggregation/10572.html&quot;&gt;移动操作系统Tizen作出猜测,专注于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmKo6z.html" rel="bookmark" class="title">IE中jquery&period;form中ajax提交没反应解决办法</a>
					<div>
						花了三个钟头,反复查,发现,原来是改了处理页面的返回头信息. 加上了 application/x-javascript ,ie8就不干活了. 如果是text/html,就行,或者不指定也行. 算bug ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVx4qz.html" rel="bookmark" class="title">《最终幻想14》延后发售《DCUniverse》成首款PS3平台网游</a>
					<div>
						根据美国购物网站亚马逊的近日发布的发货日期,索尼公司的超级英雄网游&lt;DC Universe&gt;或将在明年1月11日于PC和PS3平台上市. 根据国外媒体报道,订购了&lt;DC Univer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba65rmM.html" rel="bookmark" class="title">如何读取文件的指定位置的字符？</a>
					<div>
						问题描述 在2005中我通过FileStream^file=File::OpenRead(&quot;D:\GuestInfo.txt&quot;);获取了文件的filestream,怎样读取指定位置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmgomz.html" rel="bookmark" class="title">C&num;创建环形窗体&period;&period;&period;</a>
					<div>
						看看代码先   1 public partial class Demo3 : Form  2     {   3         private System.ComponentModel.ICont ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEGnOp.html" rel="bookmark" class="title">如何吧这个下载回来的系统，修改它的信息，比如深圳某学校试用版 修改 &ast;&ast;某学校</a>
					<div>
						问题描述 &lt;%@Pagelanguage=&quot;c#&quot;Codebehind=&quot;index.aspx.cs&quot;AutoEventWireup=&quot;fals ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
